Puppet Class: snapshot::dumps::packages

Defined in:
modules/snapshot/manifests/dumps/packages.pp

Overview



1
2
3
4
5
6
7
8
9
10
11
12
# File 'modules/snapshot/manifests/dumps/packages.pp', line 1

class snapshot::dumps::packages {
    $mysql_client_pkg = case $::lsbdistcodename {
        'buster': { 'default-mysql-client' }
        'stretch': { 'mysql-client' }
        default: { fail("Unsupported distro ${::lsbdistcodename}") }
    }
    ensure_packages(['mwbzutils',
                    'p7zip-full',
                    $mysql_client_pkg,
                    'lbzip2',
                    'python3-yaml'])
}